Subject: Re: tracking remotes with Git

From: Ivan Shmakov <[email-masked]>
Date: 10 Nov 2007 00:11:25 +0600

>>>>> Michael Poole <[email-masked]> writes:

[...]

 >> * it looks like `git-cvsimport' uses its own CVS protocol
 >> implementation which doesn't support compression; I've tried to
 >> clone a repository of a project hosted in CVS since circa 1998 and
 >> it 20 MiB or so to obtain revisions until 2000 or so; any ways to
 >> minimize traffic?

 > What I do is arguably a horrible kludge, but it works well: rsync
 > to mirror the CVS repository to my local drive, and cvsimport from
 > that.  When I was tweaking the import process (command-line options
 > and the author conversion file), having the local copy helped a
 > lot.

	Well, rsync certainly gives CVS the ``disconnected operation''
	ability...  Any chances to get rsync (or scp/sftp, etc.) access
	to the CVS repositories on Savannah?  (I'm not one of the
	developers of the aforementioned project, if that matters.)